Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver
                  org.mule.transport.http.HttpMessageReceiver

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

Direct Known Subclasses:
  HttpsMessageReceiver

    public class HttpMessageReceiver

extends TcpMessageReceiver

`HttpMessageReceiver` is a simple http server that can be used to listen for HTTP requests on a particular port.

Nested Class Summary
`protected class` | `HttpMessageReceiver.HttpWorker`

Nested classes/interfaces inherited from class org.mule.transport.tcp.TcpMessageReceiver
`TcpMessageReceiver.TcpWorker`

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver
`disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, connector, endpoint, lifecycleManager, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`HttpMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`
`protected void` | `doConnect()`
`static MessageReceiver` | `findReceiverByStem(Map<Object,MessageReceiver> receivers, String uriStr)`
`protected MessageReceiver` | `getTargetReceiver(MuleMessage message, ImmutableEndpoint ep)`
`protected MuleMessage` | `handleUnacceptedFilter(MuleMessage message)`
`protected void` | `initializeMessageFactory()` Subclasses can override this method to create a custom `MuleMessageFactory` instead of re-using the instance from the connector.
`protected boolean` | `shouldConnect()`
`protected HttpResponse` | `transformResponse(Object response, MuleEvent event)`

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver
`doDisconnect, doDispose, doStart, doStop, getServerSocket, release, run`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### HttpMessageReceiver

    public HttpMessageReceiver(Connector connector,
                               FlowConstruct flowConstruct,
                               InboundEndpoint endpoint)
                        throws CreateException

Throws:
  `CreateException`

Method Detail

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Overrides:
    `createWork` in class `TcpMessageReceiver`
  Throws:
    `IOException`

### doConnect

    protected void doConnect()
                      throws ConnectException

  Overrides:
    `doConnect` in class `TcpMessageReceiver`
  Throws:
    `ConnectException`

### shouldConnect

    protected boolean shouldConnect()

### getTargetReceiver

    protected MessageReceiver getTargetReceiver(MuleMessage message,
                                                ImmutableEndpoint ep)
                                         throws ConnectException

  Throws:
    `ConnectException`

### transformResponse

    protected HttpResponse transformResponse(Object response,
                                             MuleEvent event)
                                      throws MuleException

  Throws:
    `MuleException`

### findReceiverByStem

    public static MessageReceiver findReceiverByStem(Map<Object,MessageReceiver> receivers,
                                                     String uriStr)

### initializeMessageFactory

    protected void initializeMessageFactory()
                                     throws InitialisationException

  Description copied from class: `AbstractTransportMessageHandler`
  Subclasses can override this method to create a custom `MuleMessageFactory` instead of re-using the instance from the connector.

  Overrides:
    `initializeMessageFactory` in class `AbstractTransportMessageHandler`
  Throws:
    `InitialisationException`

### handleUnacceptedFilter

    protected MuleMessage handleUnacceptedFilter(MuleMessage message)

  Overrides:
    `handleUnacceptedFilter` in class `AbstractMessageReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.